function[x_new,iter]=newton(x0,tol,maxit)
% Computes the solution of f(x)=0 using the Newton method using the 
% algorithm from p.49 of the lecture notes
x_old=x0;
for iter=1:maxit
    Delta=-Df(x_old)\f(x_old);
    x_new = x_old + Delta;
    if norm(x_new-x_old)<tol*norm(x_new)+tol 
      return
    end
    x_old = x_new;
end
end

function[f_]=f(x)
f_=[exp(x(1)*x(2))+x(1)^2+x(2)-1.4;
    x(1)^2+x(2)^2+x(1)-0.46];
end

function[Df_]=Df(x)
Df_=[x(2)*exp(x(1)*x(2))+2*x(1), x(1)*exp(x(1)*x(2))+1 ;
     2*x(1)+1,                   2*x(2)];
end

